module Edge
  class Message
    require "edge/version"

    available_template =
%Q{Currently these are the available templates:
    html - Static HTML
    wordpress - Plain WordPress theme with Timber
    ghost - Plain Ghost theme}

    syntax_create = 
%Q{> edge create <template>}

    help = 
%Q{--------------------------------------------------------
    Welcome to Edge Framework v#{ Edge::VERSION } (#{ Edge::CODENAME })
--------------------------------------------------------

List of available commands:

1. Create Template
    #{ syntax_create }
    
    #{ available_template }

2. Rails Template Generator
    Run this command inside your Rails' directory:
    > rails g edge:install }

    create_wrong_syntax =
%Q{WRONG SYNTAX
The correct syntax is:
    #{ syntax_create } }

    MESSAGES = {
      :available_template => available_template,
      :syntax_create => syntax_create,
      :help => help,
      :create_wrong_syntax => create_wrong_syntax
    }

    def get_message(key)
      return MESSAGES[key.to_sym];
    end
      
  end
end
